1. Card
Español
  • Español
  • English
  • Bienvenidos
  • Online Payments
    • Card
      • Request a card token
        POST
      • Make a charge or deferred charge
        POST
      • Void a transaction
        DELETE
      • Request deferred options
        GET
      • Validate OTP
        POST
      • Refund a transaction
        DELETE
      • Bin Info
        GET
      • Bin Info V2
        GET
    • One Click Charges
      • Overview
      • Request a recurring charge token
      • Create a recurring charge
      • Make an One-click payment
      • Cancel a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
      • Update a recurring charge
      • Update recurring charge card data
    • Transfer in
      • Overview
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Cash in
      • Overview
      • Request a cash in token
      • Init Transaction
      • Transaction Status
      • Update a cash in transaction
      • Delete a cash in transaction
    • Chargebacks
      • Overview
      • Query chargebacks
      • Request chargeback export
    • Smartlinks
      • Overview
      • Create a Smartlink
      • Update a Smartlink
      • Get a Smartlink
      • Delete a smartlink
      • Get a Smartlink
      • Delete a Smartlink
      • Update a Smartlink
      • Create a Smartlink
    • Payment Button
      • Overview
      • Create a payment button
    • Payment Credentials
      • Overview
      • Regenerate a credential
      • Activate or deactivate
      • Update credential
      • Search credentials
      • Delete credential
      • Create a credential
      • Advanced search
    • Gateway Status
      • Overview
      • Get gateway status
    • Analytics
      • Overview
      • Get transactions list v2
      • Get transactions list v1
    • Commissions
      • Commissions
      • Get Commission Configuration
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
  1. Card

Validate OTP

POST
/rules/v1/secureValidation
Validate the OTP provided by the client with the secureId from the token request. The client has 5 minutes and also 3 attempts to validate the OTP with the same secureId.

Sandbox#

Kushki allows simulating an approved OTP validation. Use the following values depending on the currency that belongs to your credentials:
USD: 155
Any other OTP value will result in a declined validation.
Got a suggestion on this documentation? Contact Us.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
OTP validated
Body

🟠400
🟠402
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-uat.kushkipagos.com/rules/v1/secureValidation' \
--header 'Public-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "secureServiceId": "1d322684-32c9-4dbf-8f31-108889a8aaf9",
    "otpValue": "155"
}'
Response Response Example
200 - ok
{
    "code": "OTP000",
    "message": "ok"
}
Modified at 2026-04-17 20:20:15
Previous
Request deferred options
Next
Refund a transaction
Built with